#Quantitative Fisheries Center
#R Short course
#Exercise 1 - R object types (data frames)

#Enter field information for 5 sites
lake.no<-c(1:5)
lake.name<-c("Round", "North", "Crystal", "Coldwater", "Duck")
secchi.m<-c(1.2, 2.3, 0.8, 4.1, 3.2)
tp.ugl<-c(30, 25, 45, 10, 22)


#Create a matrix out of the secchi disk and tp data
matrix1<-cbind(lake.no, secchi.m, tp.ugl)
matrix1

#Query the element in the 3rd row and 2nd column
query.matrix<-matrix1[3,2]
query.matrix

#Query all the values in row 3
query.rows<-matrix1[3,]
query.rows

#Query all the values for columns 2 and 3 only
query.columns<-matrix1[,2:3]
query.columns

#Create a data frame our of the above vectors
df1<-data.frame(lake.no, lake.name, secchi.m, tp.ugl)
df1

#Edit df1 in a spreadsheet-like view
df2<-edit(df1)

#Find the number of records in df1
no.records<-length(df1$lake.no)
no.records


#Query lakes with a Secchi disk depth of greater than 2 m 
query1<-df2$secchi.m > 2
#Print query, code yields values for which the rows where query1 is true
df2[query1,]


#Query lakes with a Secchi disk depth greater than 2 m and TP > 20
query2<-df2$secchi.m > 2 & df2$tp.ugl > 20
df2[query2,]