#Quantitative Fisheries Center
#R Short course
#Simple linear regression 2

#Read in data
reg.data<-read.table("C:\\Documents and Settings\\wagnerty\\My Documents\\R-SHORT\\Programs\\5_Linear regression\\Chinook salmon data.txt", na.strings="NA",header=T)

#Plot length-weight data
plot(reg.data$length~reg.data$wgt, xlab="Weight (g)", ylab="Length (mm)", pch=16)

model1<-lm(length~wgt, data=reg.data)
#obtain summary of fit
summary(model1)
#Obtain ANOVA table
aov(model1)
#Obtain coefficients for model1
model.coefs<-coef(model1)
model.coefs
#Obtain residuals for model1
model.resids<-residuals(model1)
model.resids
#Obtain fitted values for model1
model.fit.info<-fitted(model1)
model.fit.info
#Obtain AIC fpr model1
AIC(model1)
#Log likelihood of model1
logLik(model1)

#Plot model fit
plot(length~wgt, data=reg.data, pch=16, xlab="Weight (g)", ylab="Length (mm)")
abline(lm(length~wgt, data=reg.data))


#Obtain diagnostics for model1
#Make it so all four graphs can be placed on one page
par(mfrow=c(2,2))
plot(model1)



#Perform a log-log regression length vs weight
model2<-lm(log(length)~log(wgt), data=reg.data)
summary(model2)
plot(log(length)~log(wgt), data=reg.data)
abline(lm(log(length)~log(wgt), data=reg.data))
par(mfrow=c(2,2))
plot(model2)

#Perform a quaratic regression. The I represents multiplication and the ^ means to the power (you have to insulate powers of numeric vectors (using I())
model3<-lm(length~wgt+I(wgt^2), data=reg.data)
#Look at desing matrix
model.matrix(length~wgt+I(wgt^2), data=reg.data)
summary(model3)
plot(length~wgt, data=reg.data)
abline(lm(length~wgt+I(wgt^2), data=reg.data))


#Plot both model fits on same page
par(mfrow=c(2,1))
plot(length~wgt, data=reg.data)
abline(lm(length~wgt, data=reg.data))
plot(log(length)~log(wgt), data=reg.data)
abline(lm(log(length)~log(wgt), data=reg.data))

#Multiple regression
model4<-lm(trigly ~ length + chol, data=reg.data)
summary(model4)



