#Quantitative Fisheries Center
#R Short course
#Exercise 5 - regression and ANOVA

#Read in data
daphnia<-read.table("C:\\Documents and Settings\\wagnerty\\My Documents\\R-SHORT\\Programs\\6_ANOVA\\Exercise 5 data Daphnia.txt", na.strings="NA", header=T)


#Task 1
cat<-data.frame(growth=c(12,10,8,11,6,7,2,3,3), tannin=c(0,1,2,3,4,5,6,7,8))
cat


plot(growth~tannin, data=cat, pch=16, cex=1.5, xlab="Tannin (%)", ylab="Weight gain (mg)")


model1<-lm(growth~tannin, data=cat)
summary(model1)
plot(growth~tannin, data=cat, pch=16, cex=1.5, xlab="Tannin (%)", ylab="Weight gain (mg)")
abline(lm(growth~tannin, data=cat))

#Task 2
#Obtain summary of daphnia data
summary(daphnia)

#Boxplot of growth rates for each river clone combination
boxplot(growth.rate~river:daphnia, data=daphnia, ylab="Growth rate", xlab="River/Daphnia clone")

#Perform an ANOVA to compare means between rivers
anova1<-aov(growth.rate~river, data=daphnia)
summary.lm(anova1)

#Perform an ANOVA to compare means between clones
anova2<-aov(growth.rate~daphnia, data=daphnia)
summary(anova2)
summary.lm(anova2)

#Perform ANOVA with a river:clone interaction
anova3<-aov(growth.rate~river + daphnia + river:daphnia, data=daphnia)
summary(anova3)
summary.lm(anova3)

OR 

anova4<-aov(growth.rate~river*daphnia, data=daphnia)
summary(anova4)
summary.lm(anova4)

#Compare differences between means using the TukeyHSD function
tukey1<-TukeyHSD(anova4) 
tukey1

tukey2<-TukeyHSD(anova2)
tukey2
plot(tukey2)

