#Quantitative Fisheries Center
#R Short course
#User-defined function

data<-read.table("C:\\Documents and Settings\\wagnerty\\My Documents\\R-SHORT\\Programs\\Bonus exercises\\Male-Female height weight.txt", na.strings="NA", header=T)

attach(data)

#Part 1

#Calculate mean, variance, and standard deviation of height
mean.hgt<-mean(height.in)
mean.hgt

var.hgt<-var(height.in)
var.hgt

sd.hgt<-sqrt(var.hgt)
sd.hgt

#Calculate CV
CV1<-sd.hgt/mean.hgt
CV1

#Function for coefficient of variation
CV<-function(x) sd(x)/mean(x)
#Use function-calculate CV for height
CV(height.in)

#Part 2

#Mean, variance, and s.d. of female heights
mean.F.hgt<-mean(height.in[sex=="F"])
mean.F.hgt

var.F.hgt<-var(height.in[sex=="F"])
var.F.hgt

sd.F.hgt<-sd(height.in[sex=="F"])
sd.F.hgt

#Mean, variance, and s.d. of male heights
mean.M.hgt<-mean(height.in[sex=="M"])
mean.M.hgt

var.M.hgt<-var(height.in[sex=="M"])
var.M.hgt

sd.M.hgt<-sd(height.in[sex=="M"])
sd.M.hgt

#Create a new numeric variable for sex (1 = Female, 2 = Male) for indexing in a loop
data$num<-ifelse(sex=="F",1,2)

attach(data)

#Create a list called CVs. Remember to use a double bracket when indexing a list
CVs<-list()
for (i in 1:2){
	CVs[[i]]<-CV(height.in[num==i])
print(CVs[[i]])
}

#OR

#Create a numeric object of length=2 to fill with the CV values
CVs2<-numeric(2)
for (i in 1:2){
	CVs2[i]<-CV(height.in[num==i])
}
CVs2

#Calculate CV of height and weight for each sex
CVs3<-list()
for (i in 1:2){
	for (j in 1:2){
		CVs3[[i]]<-CV(height.in[num==i])
		CVs3[[j]]<-CV(weight.lbs[num==i])
print(CVs3[[i]])
	}
}






